task hisat2 {
   File idx
   File Trim_R1
   File Trim_R2
   String idx_prefix
   String sample_id
   String docker
   String cluster

   command <<<
   	 nt=$(nproc)
     hisat2 -t -p $nt -x ${idx}/${idx_prefix} -1 ${Trim_R1} -2 ${Trim_R2} -S ${sample_id}.sam  --un-conc-gz ${sample_id}_un.fq.gz
   >>>
   
   runtime { 
		docker: docker 
		cluster: cluster
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd 200 /cromwell_root/"
   }

   output {
      File sam = "${sample_id}.sam"
      File unmapread_1p = "${sample_id}_un.fq.1.gz"
      File unmapread_2p = "${sample_id}_un.fq.2.gz"
   }
}
